Bug 111853 - A highlighting change within the textbox is applied but doesn't show up on screen
Summary: A highlighting change within the textbox is applied but doesn't show up on sc...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium minor
Assignee: Armin Le Grand
URL:
Whiteboard: target:6.0.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2017-08-16 09:41 UTC by Telesto
Modified: 2017-09-13 21:48 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
printscreen (27.80 KB, image/png)
2017-09-03 12:31 UTC, raal
Details
output from bibisect in daily Linux dbgutil repository (2.12 KB, text/plain)
2017-09-04 22:33 UTC, Terrence Enger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2017-08-16 09:41:54 UTC
Description:
The textbox isn't 'refreshed' automatically after changing the highlighting.

Steps to Reproduce:
1. Open Writer
2. Insert a textbox
3. Type some text (ABC)
4. Select it and apply highlighting (from the sidebar) -> not change
5. Select the textbox border -> highlighting is applied

Impress 
1. Open Impress
2. Choose default template (or press cancel for the template selection)
3. Enter some text into the title textbox
4. Press Highlight


Actual Results:  
Highlighting doesn't show up when applied

Expected Results:
The textbox content should be updated


Reproducible: Always

User Profile Reset: No

Additional Info:
Found in
Version: 6.0.0.0.alpha0+
Build ID: f1a896c71c495bdef5861eb664581507b6b9b5bb
CPU threads: 4; OS: Windows 6.19; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-08-13_07:38:19
Locale: nl-NL (nl_NL); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Buovjaga 2017-08-31 15:49:34 UTC
Repro.

Regression: it works in 5.4

Arch Linux 64-bit, KDE Plasma 5
Version: 6.0.0.0.alpha0+
Build ID: 4082b5874adddedf8332fe977b6bb47b6949b302
CPU threads: 8; OS: Linux 4.12; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on August 31st 2017

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.3
Build ID: 5.4.0-1
CPU threads: 8; OS: Linux 4.12; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Comment 2 raal 2017-09-03 12:31:37 UTC
Created attachment 135984 [details]
printscreen

no repro. Version: 6.0.0.0.alpha0+
Build ID: 4b4ebb15456af443347679a7e7e8726c090a5bf5
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-08-30_23:53:37

Using button from sidebar - see printscreen
Comment 3 raal 2017-09-03 12:40:45 UTC
(In reply to raal from comment #2)
> Created attachment 135984 [details]
> printscreen
> 
> no repro. Version: 6.0.0.0.alpha0+

understand now, reproduced
Comment 4 Terrence Enger 2017-09-04 22:33:08 UTC
Created attachment 136019 [details]
output from bibisect in daily Linux dbgutil repository
Comment 5 Terrence Enger 2017-09-04 22:39:00 UTC
Working on debian-stretch with xfce desktop in the daily Linux dbgutil
bibisect repository, I see that the bug entered LibreOffice somewhere
in the 39 commits:

          commit    date        s-h
          --------  ----------  --------
    good  1ab3f526  2017-08-10  368b583b
    bad   2b43da38  2017-08-11  4e2b4486

Several commits mention editviewoverlay, including 71a8c7a5:

    editviewoverlay: correct reaction on property change

I am removing keyword bibisectRequest and adding keyword bibisected.
Comment 6 Xisco Faulí 2017-09-07 14:01:49 UTC
Regression introduced by:

author	Armin Le Grand <Armin.Le.Grand@cib.de>	2017-08-04 16:56:43 (GMT)
committer	Armin Le Grand <Armin.Le.Grand@cib.de>	2017-08-10 13:17:58 (GMT)
commit	f06b48a5dddab20fd1bbf9b5f3e8543593f5e590 (patch)
tree	ce3bb9e57cdb21a8414a49bf919b1c442d2687ea
parent	2ae717f2d722d78b29b51dc40194b64ab3bb5bc8 (diff)
editviewoverlay: Allow EditView to run in Overlay

Bisected with: bibisect-linux64-6.0

Adding Cc: to Armin Le Grand
Comment 7 Armin Le Grand 2017-09-12 07:32:16 UTC
Problem is commit 6c1fc9e94e36b4f74136bc044cc9a4b72f79d53f from 2014 where maTextFillColor was added to TextSimplePortionPrimitive2D, bu tis not tested in operator==, so a change in attributation o fthe text in that respect is not detected.
Comment 8 Armin Le Grand 2017-09-12 08:35:16 UTC
FGix on gerrit, TextSimplePortionPrimitive2D which is very central to rendering was changed for one single case (Outliner::DrawingTab), I am not sure if that change was good, I will try to find out why this was done
Comment 9 Commit Notification 2017-09-12 11:26:58 UTC
Armin Le Grand committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=41c704a8d6ca225e0ba0b1deb730c2bead66da25

tdf#111853 Added TextFillColor to operator==

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Terrence Enger 2017-09-13 15:47:28 UTC
The problem appears to be gone in daily Linux dbgutil bibisect
repository version 2017-09-13.